#include <stdio.h>
#include <string.h>
#include <netdb.h>

#include "common.h"

const char * keywords[KEYWORDS_NUM] = {"msie", "firefox", "iphone", NULL};

int resolve_host(const char * hostname, uint32_t * addr)
{
    struct hostent *ent = gethostbyname(hostname);
    if (ent == NULL) {
        fprintf(stderr, "Unknown hostname: %s\n", hostname);
        return -1; 
    }   
    memcpy(addr, ent->h_addr, sizeof(*addr));
    return 0;
}
